<?php
/*************************************************************/
/* Responsive & Adblock killer promo                         */
/* Inscrioption - Index                                      */
/* URL : https://www.carpediem-sheets.com/adblock/index.html */
/* Support : philippe@carpediem.fr                           */
/*************************************************************/

require_once('../includes/config.php');
require_once('../includes/functions.php');
require_once('../includes/mobile.php');

if ( empty($config) ) {
    die('Vous devez créer les fichiers communs : <a href="http://www.carpediem-sheets.com/adblock/home.html">Cliquez ici</a> !');
}

// Select promotion mode [Stored into $promoMode]
$detect = new Mobile_Detect;
$promoModes = $config['mode']['desktop'];
if ( $detect->isMobile() ) {
    $promoModes = $config['mode']['mobile'];
}
shuffle($promoModes);
$promoMode = $promoModes[0];

// Get inputs
$filterInputArray = array(
    'img_path' => array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_NO_ENCODE_QUOTES, ),
    'pseudo' => array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_NO_ENCODE_QUOTES, ),
    'age' => array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_NO_ENCODE_QUOTES, ),
    'showCity' => array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_NO_ENCODE_QUOTES, ),
    'exe_name' => array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_NO_ENCODE_QUOTES, ),
    'picType' => array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_NO_ENCODE_QUOTES, ),
    'tracker' => array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_NO_ENCODE_QUOTES, ),
    );

$inputs = filter_input_array(INPUT_GET, $filterInputArray);
if ( empty($inputs) ) {
    $inputs = array(
        'img_path' => false,
        'pseudo' => false,
        'age' => false,
        'showCity' => false,
        'exe_name' => 'messenger.exe',
        'picType' => 'sexy',
        'tracker' => false,
        'id_mb' => false,
        );
}

// Some checks needed.
if ( empty($inputs['exe_name']) ) {
    $inputs['exe_name'] = 'messenger.exe';
} else if ( !preg_match('`\.exe$`', $inputs['exe_name']) ) {
    $inputs['exe_name'] = $inputs['exe_name'] . '.exe';
}

if ( !in_array($inputs['picType'], array('soft', 'sexy', 'hard')) ) {
    $inputs['picType'] = 'hard';
}

// Add tracker sufix
if ( !empty($inputs['tracker']) ) {
    $config['tracker'] = $config['tracker'] . '_' . $inputs['tracker'];
}
$config['tracker'] = $config['tracker'] . '_adr_landing_inscription_mode_' . $promoMode;

// Download URL 
switch ( $config['id_mb'] ) {
    default: $downloadUrl = 'http://www.telechargementdirect.net/download.php?id_mb=' . $config['id_mb'] . '&id=' . $config['id'] . '&tracker=' . $config['tracker']. '&exe_name=' . $inputs['exe_name']; break;
    case 'yes': $downloadUrl = 'http://download.yesmessenger.com/' . $config['id'] . '/' . $config['tracker'] . '/' . $inputs['exe_name']; break; 
    case 'rh': $downloadUrl = 'http://download.rencontreshard.com/' . $config['id'] . '/' . $config['tracker'] . '/' . $inputs['exe_name']; break;
}

if ( $promoMode == 'site' ) {
	header('Location: ' . $gtw . 'idw/' . $config['id'] . '/tracker/' . $config['tracker']. '/synergie/hetero/niche/98/pdv/-form');
	exit;
}
?>
<!DOCTYPE HTML>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inscription gratuite</title>

    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap-theme.min.css">
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="media/css/custom.css">

</head>
<body>

<header class="hidden-xs">
    <h1>Inscription <span class="highlight">gratuite</span></h1>
</header>

<div class="container-fluid">
    <div class="row">

        <div class="panel panel-info" id="register">

            <?php if ( $promoMode == 'coreg' ) : ?>

                <div class="panel-heading"><i class="fa fa-user" aria-hidden="true"></i> Ouvrez votre compte gratuit</div>
                <div class="panel-body">

                	<div class="row hidden-xs">
                		<div class="col-sm-4 pull-center">
                            <div class="thumb">
                                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-responsive img-thumbnail img-profile tsClick"  data-ts="0">
                            </div>
                		</div>
                		<div class="col-sm-8">
                			<p>
                				Pour tchatcher avec <span class="girlName">elle</span>, vous devez ouvrir votre compte gratuit en remplissant le formulaire ci-dessous.<br>
                				Ceci ne va vous prendre qu'une minute et vous permettra de contacter tous les membres et de profiter de tous les avantages du site en tant que VIP
                			</p>
                			<p><strong>PS : C'est <u>gratuit</u>, <u>sécurisé</u> et totalement <u>discret</u>.</strong></p>
                		</div>
	                </div>

	                <br class="hidden-xs">

                    <ol class="breadcrumb hidden-xs">
                        <li><span class="label label-success">1</span> Ouvrez votre compte</li>
                        <li><span class="label label-default">2</span> Validez votre majorité</li>
                        <li><span class="label label-default">3</span> Faites des rencontres</li>
                    </ol>

                    <form method="post" action="index.php" name="regForm" id="regForm">
                        <input type="hidden" name="tracker" value="<?php echo $config['tracker']; ?>">
                        <div class="form-group">
                            <label for="email">Adresse mail :</label><br>
                            <input type="email" name="email" id="email" class="form-control" placeholder="Ex: julien@live.fr, steph@hotmail.fr, ..." required>
                        </div>
                        <div class="form-group">
                            <label for="pseudo">Pseudo :</label><br>
                            <input type="text" name="pseudo" id="pseudo" class="form-control" placeholder="Ex: julien, steph, ..." pattern="^[a-zA-Z0-9]{4,20}$" required>
                        </div>
                        <div class="form-group">
                            <label for="password">Mot de passe :</label><br>
                            <input type="password" name="password" id="password" class="form-control" placeholder="Mot de passe" pattern="^[a-zA-Z0-9]{4,20}$" required>
                        </div>
                        <button type="submit" class="btn btn-success">J'ouvre mon compte <i class="fa fa-chevron-right" aria-hidden="true"></i><i class="fa fa-chevron-right" aria-hidden="true"></i></button>
                    </form>

                    <form method="post" action="index.php" name="regFormFinal" id="regFormFinal" style="display: none;">
                        <p>En raison du caractère adulte des rencontres proposées, nous devons vérifier votre majorité afin d'activer votre accès illimité ! Cette étape est simple et gratuite, il vous suffit de cliquer sur le bouton ci-dessous &laquo; Je suis majeur &raquo;</p>
                        <a href="about:blank;" target="_blank"  class="btn btn-success validate downloadLink" title="Valider ma majorité">
                            <i class="fa fa-check" aria-hidden="true"></i> Je suis majeur <i class="fa fa-chevron-right" aria-hidden="true"></i><i class="fa fa-chevron-right" aria-hidden="true"></i>
                        </a>
                    </form>

                </div>
                <br><br>

            <?php elseif ( $promoMode == 'messenger' ) : ?>

                <div class="panel-heading"><i class="fa fa-cloud-download" aria-hidden="true"></i> Téléchargez le messenger</div>
                <div class="panel-body">

                	<div class="row hidden-xs">
                		<div class="col-sm-4 pull-center">
                            <div class="thumb">
                                <img src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==" alt="" class="img-responsive img-thumbnail img-profile tsClick"  data-ts="0">
                            </div>
                		</div>
                		<div class="col-sm-8">
                			<p>
                				Pour tchatcher avec <span class="girlName">elle</span>, vous devez télécharger le messenger et ouvrir votre compte gratuit après avoir installé le messenger.<br>
                				Ceci ne va vous prendre quelques minutes et vous permettra de contacter tous les membres et de profiter de tous les avantages du site en tant que VIP
                			</p>
                			<p><strong>PS : C'est <u>gratuit</u>, <u>sécurisé</u> et totalement <u>discret</u>.</strong></p>
                		</div>
	                </div>

	                <br class="hidden-xs">

                    <p class="smallText">Pour profiter du tchat illimité et de toutes les fonctionnalités, vous devez télécharger notre messenger gratuit !</p>

                    <div class="container-fluid">
                        <ul class="list-group row">
                            <li class="list-group-item col-sm-4 col-xs-12">
                                <div class="pull-center pinkText">
                                    <i class="fa fa-shield fa-5x" aria-hidden="true"></i><br>
                                    <strong>Sécurité</strong>
                                </div>
                                <div class="smallText">Le messenger est garanti sans virus et son éditeur est vérifié !</div>
                            </li>
                            <li class="list-group-item col-sm-4 col-xs-12">
                                <div class="pull-center pinkText">
                                    <i class="fa fa-user-secret fa-5x" aria-hidden="true"></i><br>
                                    <strong>Discret</strong>
                                </div>
                                <div class="smallText">Votre discrétion est assurée dans l'utilisation du messenger.</div>
                            </li>
                            <li class="list-group-item col-sm-4 col-xs-12 pull-center">
                                <div class="pull-center pinkText">
                                    <i class="fa fa-comments-o fa-5x" aria-hidden="true"></i><br>
                                    <strong>Simple & rapide</strong>
                                </div>
                                <div class="smallText">Simple et rapide afin de facilier vos rencontres entre membres !</div>
                            </li>
                        </ul>
                    </div>

                    <a href="<?php echo $downloadUrl; ?>" class="btn btn-success btn-download" title="Télécharger le messenger">
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-3">
                                    <i class="fa fa-cloud-download fa-4x" aria-hidden="true"></i>
                                </div>
                                <div class="col-sm-9">
                                    <div class="pull-left btn-text">
                                        <strong>Je veux profiter du messenger !</strong><br>
                                        Téléchargement & installation gratuite !
                                    </div>
                                </div>
                            </div>
                        </div>
                    </a>
                 </div>

            <?php endif; ?>

        </div>
    </div>
</div>

<br>

<div id="message_count" style="display: none">1</div>

<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.16.0/jquery.validate.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="<?php echo $config['directory']; ?>/ws.php?action=geoip"></script>

<script src="<?php echo $external['ts']; ?>/api/thumbs.js"></script>

<script>
var jQuery = ThumbManager.jq;

jQuery(document).ready(function () {

    var profile = { name: false, age: false, thumb: false, city: false, };

    <?php if ( !empty($inputs['pseudo']) ) : ?>profile['name'] = '<?php echo $inputs['pseudo']; ?>';<?php endif; ?>
    <?php if ( !empty($inputs['age']) ) : ?>profile['age'] = '<?php echo $inputs['age']; ?>';<?php endif; ?>
    <?php if ( !empty($inputs['img_path']) ) : ?>profile['thumb'] = profile['thumb_bonus'] = '<?php echo $inputs['img_path']; ?>';<?php endif; ?>

    // City
    <?php if ( !empty($inputs['showCity']) && !in_array($inputs['showCity'], array('0', '1')) ) : ?>
        profile['city'] = '<?php echo $inputs['showCity']; ?>';
    <?php else : ?>
        profile['city'] = geoip_country_city[Math.floor(Math.random() * geoip_country_city.length)];;
    <?php endif; ?>

    var settings = {
            categories: ["<?php echo $inputs['picType']; ?>"],
            format: ["180x135", "240x320"],
            context: "pdv",
            behaviour: 14,
            count: 1,
            language: "fr",
            niches: ["<?php echo $idThumbsShare; ?>"],
            metadata: true
        };

    ThumbManager.getThumbs(settings, function(thumbs){
        if (thumbs.length) {

            if ( false == profile['name'] ) {
                profile['name'] = thumbs[0]['metadata']['nick'];
            }
            if ( false == profile['age'] ) {
                profile['age'] = thumbs[0]['metadata']['age'];
            }
            if ( false == profile['thumb'] ) {
                profile['thumb'] = thumbs[0]['url']['180x135'];
                profile['thumb_bonus'] = thumbs[0]['url']['240x320'];
            }

            jQuery('.girlName').text(profile['name']);
            jQuery('.girlCity').text(profile['city']);
            jQuery('.girlAge').text(profile['age'] + ' ans');
            jQuery('.girlTchat').text('Tchat avec ' + profile['name']);
            jQuery('.img-profile').attr('src', profile['thumb'])
                                  .attr('alt', profile['name']);

            jQuery('.tsClick').click(function (e) {
                e.preventDefault();
                var id = jQuery(this).attr('data-ts');
                thumbs[id].recordClick();
            });

        }

    });

    <?php if ( $inputs['showCity'] == '0' ) : ?>
        jQuery('.showCity').hide();
    <?php endif; ?>

    jQuery('.openSubscription').click(function (e) {
        e.preventDefault();
        landing();
    });

    <?php if ( $promoMode == 'coreg' ) : ?>

        jQuery('#regForm button[type="submit"]').removeAttr('disabled');

        jQuery('#email').change(function (e) {
            if ( jQuery('#email').valid() && jQuery('#pseudo').val() == '' ) {
                jQuery.ajax({
                    url: '<?php echo $config['directory']; ?>/ws.php?action=pseudo-suggest&email=' + encodeURIComponent(jQuery('#email').val()),
                    success: function(data) {               
                        jQuery('#pseudo').val(data);
                        jQuery('#pseudo').focus();
                    },
                });
            }
        });

        jQuery.validator.setDefaults({
                highlight: function (element, errorClass, validClass) {
                    if (element.type === "radio") {
                        this.findByName(element.name).addClass(errorClass).removeClass(validClass);
                    } else {
                        jQuery(element).closest('.form-group').removeClass('has-success has-feedback').addClass('has-error has-feedback');
                        jQuery(element).closest('.form-group').find('i.fa').remove();
                        jQuery(element).closest('.form-group').append('<i class="fa fa-exclamation fa-lg form-control-feedback fa-2x" style="margin: 5px;"></i>');
                    }
                },
                unhighlight: function (element, errorClass, validClass) {
                    if (element.type === "radio") {
                        this.findByName(element.name).removeClass(errorClass).addClass(validClass);
                    } else {
                        jQuery(element).closest('.form-group').removeClass('has-error has-feedback').addClass('has-success has-feedback');
                        jQuery(element).closest('.form-group').find('i.fa').remove();
                        jQuery(element).closest('.form-group').append('<i class="fa fa-check fa-lg form-control-feedback fa-2x" style="margin: 5px;"></i>');
                    }
                }
            });

        jQuery('#regForm').validate({
            rules: {
                pseudo: { required: true, minlength: 4, maxlength: 20, },
                password: { required: true, minlength: 4, maxlength: 20, },
                email: { required: true, email: true, }
            },
            messages: {
                pseudo: { required: "Ce champ est obligatoire.", minlength: "Minimum 4 caractères.", maxlength: "Maximum 20 caractères.", },
                password: { required: "Ce champ est obligatoire", minlength: "Minimum 4 caractères.", maxlength: "Maximum 20 caractères.", },
                email: { required: "Ce champ est obligatoire.", email: "Adresse mail invalide.", }
            },
        });

        var url = false,
            newWin = false,
            isChrome = /chrome/.test( navigator.userAgent.toLowerCase() );

        jQuery('#regForm').submit(function(e) {

            e.preventDefault();

            if ( jQuery('#regForm').valid() ) {

                jQuery('#regForm button[type="submit"]').html('<i class="fa fa-spinner fa-pulse fa-fw"></i> Création du compte')
                                                        .attr('disabled', 'disabled');

                if ( isChrome ) { 
                    newWin = window.open(''); 
                }

                jQuery.ajax({
                    url: "<?php echo $config['directory']; ?>/ws.php",  
                    type: "post",  
                    data: jQuery('#regForm').serialize(),
                    dataType: 'json',
                    async: false,
                    success: function(obj) { 
                        if ( obj.status == 'ok' ) {

                            url = '<?php echo $config['directory']; ?>/bonus.php?formulaire=' + Base64.encode(obj.url_cb) + '&profile=' + profile['thumb_bonus'] + '&pseudo=' + jQuery('#pseudo').val();

                            jQuery('.downloadLink').attr('href', url);

                            jQuery('.breadcrumb li:first-child span').removeClass('label-success')
                                                                     .addClass('label-default');
                            jQuery('.breadcrumb li:nth-child(2) span').removeClass('label-default')
                                                                      .addClass('label-success');

                            jQuery('#regForm').hide();
                            jQuery('#regFormFinal').show( 'shake', {}, 500 );
                            jQuery('html, body').animate({
                                scrollTop: jQuery("#regFormFinal").offset().top
                            }, 0);

                        } else {

                            if ( isChrome ) {
                                newWin.close();
                            }

                            jQuery('#regForm button[type="submit"]').html('J\'ouvre mon compte <i class="fa fa-chevron-right" aria-hidden="true"></i><i class="fa fa-chevron-right" aria-hidden="true"></i>')
                                                                    .removeAttr('disabled');

                            var errorsList = 'Nous ne pouvons pas vous ouvvrir un compte car :' + "\n";
                            for ( var i in obj.errors ) {
                                errorsList += "-" + obj.errors[i] + "\n";
                            }
                            alert(errorsList);

                        }
                    }
                });  

                if ( url ) {
                    if ( isChrome ) {
                        newWin.location = url;
                    } else {
                        newWin = window.open(url);
                    }
                } 

            }

        });

    <?php endif; ?>

});

function landing() 
{

	if ( jQuery('#register').css('display') == 'none' ) {
        jQuery('#chat').hide();
		jQuery('#register').show();
	} else {
		jQuery('#register').effect("highlight", { color: '#E130B8', }, 1000);
	}
}

var Base64={_keyStr:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",encode:function(e){var t="";var n,r,i,s,o,u,a;var f=0;e=Base64._utf8_encode(e);while(f<e.length){n=e.charCodeAt(f++);r=e.charCodeAt(f++);i=e.charCodeAt(f++);s=n>>2;o=(n&3)<<4|r>>4;u=(r&15)<<2|i>>6;a=i&63;if(isNaN(r)){u=a=64}else if(isNaN(i)){a=64}t=t+this._keyStr.charAt(s)+this._keyStr.charAt(o)+this._keyStr.charAt(u)+this._keyStr.charAt(a)}return t},decode:function(e){var t="";var n,r,i;var s,o,u,a;var f=0;e=e.replace(/[^A-Za-z0-9+/=]/g,"");while(f<e.length){s=this._keyStr.indexOf(e.charAt(f++));o=this._keyStr.indexOf(e.charAt(f++));u=this._keyStr.indexOf(e.charAt(f++));a=this._keyStr.indexOf(e.charAt(f++));n=s<<2|o>>4;r=(o&15)<<4|u>>2;i=(u&3)<<6|a;t=t+String.fromCharCode(n);if(u!=64){t=t+String.fromCharCode(r)}if(a!=64){t=t+String.fromCharCode(i)}}t=Base64._utf8_decode(t);return t},_utf8_encode:function(e){e=e.replace(/rn/g,"n");var t="";for(var n=0;n<e.length;n++){var r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r)}else if(r>127&&r<2048){t+=String.fromCharCode(r>>6|192);t+=String.fromCharCode(r&63|128)}else{t+=String.fromCharCode(r>>12|224);t+=String.fromCharCode(r>>6&63|128);t+=String.fromCharCode(r&63|128)}}return t},_utf8_decode:function(e){var t="";var n=0;var r=c1=c2=0;while(n<e.length){r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r);n++}else if(r>191&&r<224){c2=e.charCodeAt(n+1);t+=String.fromCharCode((r&31)<<6|c2&63);n+=2}else{c2=e.charCodeAt(n+1);c3=e.charCodeAt(n+2);t+=String.fromCharCode((r&15)<<12|(c2&63)<<6|c3&63);n+=3}}return t}}
</script>

</body>
</html>